Index: lsb-bootscripts/ChangeLog
===================================================================
--- lsb-bootscripts/ChangeLog	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/ChangeLog	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -5,4 +5,7 @@
   * Makefile, etc/inittab: Removed the installation of /etc/inittab as this is
     done in the book.
+  * etc/default/rc, etc/default/rc.site: Added "stop_on_error" parameter to
+    rc.site file and added testcase on "stop_on_error" for FAILURE_ACTION in
+    rc file.
 
 2011-05-21	DJ Lucas <dj@linuxfromscratch.org>
Index: lsb-bootscripts/etc/default/rc
===================================================================
--- lsb-bootscripts/etc/default/rc	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/default/rc	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,6 +1,3 @@
 # Begin /etc/default/rc
-
-# Author: DJ Lucas - dj@linuxfromscratch.org
-# Version: 1.0 LSB V.3.1
 
 # Global variable inherited by initscripts are in caps
@@ -11,5 +8,5 @@
 
 # Set base directory information
-RC_BASE="ETCDIR"
+RC_BASE="/etc/rc.d"
 
 # Location of network device scripts and config files
@@ -75,4 +72,14 @@
 i_message="Press '${FAILURE}I${NORMAL}' to enter interactive startup"
 
+# FAILURE_ACTION (what to do when script failure occurs)
+case "${stop_on_error}" in
+    Y* | y* | 0)
+        FAILURE_ACTION='read Enter'
+    ;;
+    *)
+        FAILURE_ACTION='echo ""'
+    ;;
+esac
+
 # Error message displayed when a script's exit value is not zero
 print_error_msg()
Index: lsb-bootscripts/etc/default/rc.site
===================================================================
--- lsb-bootscripts/etc/default/rc.site	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/default/rc.site	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,2 +1,7 @@
+# Begin /etc/default/rc.site
+
+# Global variable inherited by initscripts are in caps
+# Local variables for the rc script are in lowercase
+
 # Bootlogging (requires a tempfs mount)
 BOOTLOG_ENAB="yes"
@@ -9,10 +14,6 @@
 CLOCKPARAMS=
 
-# Manual input is not appropriate on remote systems. Define what happens when
-# an error is encountered that interupts the boot/shutdown proceess
-FAILURE_ACTION="read ENTER"
-
 # Export varialbles so that they are inherited by the initscripts
-export BOOTLOG_ENAB HOSTNAME UTC CLOCKPARAMS FAILURE_ACTION
+export BOOTLOG_ENAB HOSTNAME UTC CLOCKPARAMS 
 
 # Interactive startup
@@ -20,2 +21,7 @@
 itime="2" # The ammount of time (in seconds) to display the prompt
 
+# Manual input is not appropriate on remote systems. Wait for user input on
+# script error?
+stop_on_error="yes"
+
+# End /etc/default/rc.site
Index: lsb-bootscripts/etc/init.d/checkfs
===================================================================
--- lsb-bootscripts/etc/init.d/checkfs	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/checkfs	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/checkfs
+# Begin $RC_BASE/init.d/checkfs
 
 ### BEGIN INIT INFO
@@ -101,3 +101,3 @@
 esac
 
-# End /etc/init.d/checkfs
+# End $RC_BASE/init.d/checkfs
Index: lsb-bootscripts/etc/init.d/cleanfs
===================================================================
--- lsb-bootscripts/etc/init.d/cleanfs	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/cleanfs	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/cleanfs
+# Begin $RC_BASE/init.d/cleanfs
 
 ### BEGIN INIT INFO
@@ -103,4 +103,3 @@
 esac
 
-# End /etc/init.d/cleanfs
-
+# End $RC_BASE/init.d/cleanfs
Index: lsb-bootscripts/etc/init.d/console
===================================================================
--- lsb-bootscripts/etc/init.d/console	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/console	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin $rc_base/init.d/console
+# Begin $RC_BASE/init.d/console
 
 ### BEGIN INIT INFO
@@ -94,3 +94,3 @@
 esac
 
-# End $rc_base/init.d/console
+# End $RC_BASE/init.d/console
Index: lsb-bootscripts/etc/init.d/halt
===================================================================
--- lsb-bootscripts/etc/init.d/halt	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/halt	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -28,3 +28,3 @@
 esac
 
-# End /etc/init.d/halt
+# End $RC_BASE/init.d/halt
Index: lsb-bootscripts/etc/init.d/localnet
===================================================================
--- lsb-bootscripts/etc/init.d/localnet	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/localnet	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/localnet
+# Begin $RC_BASE/init.d/localnet
 
 ### BEGIN INIT INFO
@@ -79,3 +79,3 @@
 esac
 
-# End /etc/init.d/localnet
+# End $RC_BASE/init.d/localnet
Index: lsb-bootscripts/etc/init.d/modules
===================================================================
--- lsb-bootscripts/etc/init.d/modules	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/modules	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/modules
+# Begin $RC_BASE/init.d/modules
 
 ### BEGIN INIT INFO
@@ -95,3 +95,3 @@
 esac
 
-# End /etc/init.d/modules
+# End $RC_BASE/init.d/modules
Index: lsb-bootscripts/etc/init.d/mountfs
===================================================================
--- lsb-bootscripts/etc/init.d/mountfs	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/mountfs	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/mountfs
+# Begin $RC_BASE/init.d/mountfs
 
 ### BEGIN INIT INFO
@@ -57,3 +57,3 @@
 esac
 
-# End /etc/init.d/mountfs
+# End $RC_BASE/init.d/mountfs
Index: lsb-bootscripts/etc/init.d/mountvirtfs
===================================================================
--- lsb-bootscripts/etc/init.d/mountvirtfs	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/mountvirtfs	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/mountvirtfs
+# Begin $RC_BASE/init.d/mountvirtfs
 
 ### BEGIN INIT INFO
@@ -44,3 +44,3 @@
 esac
 
-# End /etc/init.d/mountvirtfs
+# End $RC_BASE/init.d/mountvirtfs
Index: lsb-bootscripts/etc/init.d/network
===================================================================
--- lsb-bootscripts/etc/init.d/network	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/network	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/network
+# Begin $RC_BASE/init.d/network
 
 ### BEGIN INIT INFO
@@ -82,3 +82,3 @@
 esac
 
-# End /etc/init.d/network
+# End $RC_BASE/init.d/network
Index: lsb-bootscripts/etc/init.d/reboot
===================================================================
--- lsb-bootscripts/etc/init.d/reboot	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/reboot	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/reboot
+# Begin $RC_BASE/init.d/reboot
 
 ### BEGIN INIT INFO
@@ -30,3 +30,3 @@
 esac
 
-# End /etc/init.d/reboot
+# End $RC_BASE/init.d/reboot
Index: lsb-bootscripts/etc/init.d/sendsignals
===================================================================
--- lsb-bootscripts/etc/init.d/sendsignals	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/sendsignals	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/sendsignals
+# Begin $RC_BASE/init.d/sendsignals
 
 ### BEGIN INIT INFO
@@ -52,3 +52,3 @@
 esac
 
-# End /etc/init.d/sendsignals
+# End $RC_BASE/init.d/sendsignals
Index: lsb-bootscripts/etc/init.d/setclock
===================================================================
--- lsb-bootscripts/etc/init.d/setclock	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/setclock	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/setclock
+# Begin $RC_BASE/init.d/setclock
 
 ### BEGIN INIT INFO
@@ -52,3 +52,3 @@
 esac
 
-# End /etc/init.d/setclock
+# End $RC_BASE/init.d/setclock
Index: lsb-bootscripts/etc/init.d/swap
===================================================================
--- lsb-bootscripts/etc/init.d/swap	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/swap	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/swap
+# Begin $RC_BASE/init.d/swap
 
 ### BEGIN INIT INFO
@@ -53,3 +53,3 @@
 esac
 
-# End /etc/init.d/swap
+# End $RC_BASE/init.d/swap
Index: lsb-bootscripts/etc/init.d/sysctl
===================================================================
--- lsb-bootscripts/etc/init.d/sysctl	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/sysctl	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/sysctl
+# Begin $RC_BASE/init.d/sysctl
 
 ### BEGIN INIT INFO
@@ -37,3 +37,3 @@
 esac
 
-# End /etc/init.d/sysctl
+# End $RC_BASE/init.d/sysctl
Index: lsb-bootscripts/etc/init.d/sysklogd
===================================================================
--- lsb-bootscripts/etc/init.d/sysklogd	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/sysklogd	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/sysklogd
+# Begin $RC_BASE/init.d/sysklogd
 
 ### BEGIN INIT INFO
@@ -67,3 +67,3 @@
 esac
 
-# End /etc/init.d/sysklogd
+# End $RC_BASE/init.d/sysklogd
Index: lsb-bootscripts/etc/init.d/template
===================================================================
--- lsb-bootscripts/etc/init.d/template	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/template	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin /etc/init.d/template
+# Begin $RC_BASE/init.d/template
 
 ### BEGIN INIT INFO
@@ -88,3 +88,3 @@
 esac
 
-# End /etc/init.d/template
+# End $RC_BASE/init.d/template
Index: lsb-bootscripts/etc/init.d/udev
===================================================================
--- lsb-bootscripts/etc/init.d/udev	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/udev	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin $rc_base/init.d/udev
+# Begin $RC_BASE/init.d/udev
 
 ### BEGIN INIT INFO
@@ -88,3 +88,3 @@
 esac
 
-# End $rc_base/init.d/udev
+# End $RC_BASE/init.d/udev
Index: lsb-bootscripts/etc/init.d/udev_retry
===================================================================
--- lsb-bootscripts/etc/init.d/udev_retry	(revision 90b457477d7909f501615eec5a18efd29944298a)
+++ lsb-bootscripts/etc/init.d/udev_retry	(revision f3f65e73a3e8e1b7d925be3ee6b0e40b03252804)
@@ -1,4 +1,4 @@
 #!/bin/sh
-# Begin $rc_base/init.d/udev_retry
+# Begin $RC_BASE/init.d/udev_retry
 
 ### BEGIN INIT INFO
@@ -47,3 +47,3 @@
 esac
 
-# End $rc_base/init.d/udev_retry
+# End $RC_BASE/init.d/udev_retry
